# Emacs Tips

*Posted 2007-05-22, updated 2021-07-01.*

These are some emacs keybindings (and other functions) that I once found useful. I've mostly used Sublime Text for the last few years, however.

## Editing

`C-[SPC]`: set mark
`C-x C-x`: exchange point and mark
`C-w`: kill (AKA "cut")
`M-w`: kill-ring-save (AKA "copy")
`C-y`: yank (AKA "paste")
`M-h`: Put region around current paragraph (mark-paragraph).
`C-x h`: Put region around the entire buffer (mark-whole-buffer).
`C-u C-[SPC]`: Move in mark ring
`M-d`: Kill word
`M-[DEL]`: Kill word backwards
`C-M-k`: Kill the following balanced expression (kill-sexp)

## Registers

`C-x r r`: Save position of point in register r (point-to-register).
`C-x r j r`: Jump to the position saved in register r (jump-to-register).
`C-x r s r`: Copy region into register r (copy-to-register).
`C-x r i r`: Insert text from register r (insert-register).

## Bookmarks

`C-x r m [RET]`: Set the bookmark for the visited file, at point.
`C-x r m bookmark [RET]`: Set the bookmark named bookmark at point (bookmark-set).
`C-x r b bookmark [RET]`: Jump to the bookmark named bookmark (bookmark-jump).
`C-x r l`: List all bookmarks (list-bookmarks).
`M-x bookmark-save`: Save all the current bookmark values in the default bookmark file.

## Miscellaneous

``M-` `` shows the menu.
`M-x highlight-changes-mode` toggles showing the changes you've made to the file since the last save.
