# Goodbye Twitter, Hello Blog!

*Posted 2022-11-07.*

It's quickly become clear that the acquisition of Twitter by Elon Musk means the end of the site as I've known it since 2008. Instead I'm going to collect all the stuff I *would* have tweeted about & post it to this blog roughly once a week. If you have an RSS reader you can [follow along there](https://mcmillen.dev/feed.atom). I've also created a [subreddit](https://www.reddit.com/r/mcmillen) where I'll link to each post, so that folks can follow via Reddit if they prefer, and also comment on what I've written. I'd also appreciate comments over [email](mailto:email@example.com)!

My goal is to post **fewer things, more thoughtfully, to a smaller audience** for a while, and see how that goes.

## Deleting your Twitter responsibly

I'd figured Elon Musk's "free speech idealism" was code for a slow regression back to a Nazi-sympathetic swamp of toxicity, but I hadn't quite expected him to *immediately* light user trust on fire. Musk seems to be determined to squeeze every drop of revenue from the site in order to make up for his foolhardy acquisition, so I think it's only a matter of time before he starts selling user data to third-party companies.

So instead of just deleting my Twitter account wholesale, I've [downloaded my Twitter archive](https://help.twitter.com/en/managing-your-account/how-to-download-your-twitter-archive) and set up [TweetDeleter](https://tweetdeleter.com/) to delete almost all my data, including Tweets, Retweets, and Likes. Right now I have it set up to automatically delete anything older than 2 days old. I expect that after a month passes I'll be posting to Twitter a lot less (if at all) and will just manually remove old content then.

I'm intending to keep my Twitter account registered and to occasionally log in, rather than deleting it entirely. That way I can maintain a pointer to this blog in my bio, and not have to worry about someone impersonating me if Twitter someday decides to reap & reissue old usernames.

For a more nuanced approach to deleting your Twitter content than "burning all of it as quickly as possible", consider [this 2021 thread from Ryan North](https://twitter.com/ryanqnorth/status/1418543853167071232).

## How's your blog work?

This site is authored with Markdown. I have a short Python script that converts the entire thing to static HTML, so I can still author posts in my favorite text editor ([Sublime Text 3](https://www.sublimetext.com/3)) or even draft things on-the-go with a Markdown app like [Joplin](https://joplinapp.org/). This means I'm not reliant on anyone else's fancy GUI editor, and also means it's pretty future-proof in case I ever *do* want to move my content to another site for some reason.

## Why not Substack / Medium (etc)?

Many people have moved to tools like Substack & Medium for writing longer-form articles. I've definitely considered those sites as well, but it's hard to be sure that they won't *also* go "boom" due to reasons entirely outside my control sometime in the next few years. There's already something like a 15-year-long gap in my online presence due to Google+ and Twitter melting down in various ways. I'd feel like a bit of a sucker to be relying on anyone other than myself to host my content, at this point.

## Why not Mastodon?

[Mastodon](https://joinmastodon.org/) seems like the most obvious choice as a Twitter replacement, but I'm not actually sure that I *want* a Twitter replacement. As I said up top, I'm gonna try posting fewer things, more thoughtfully. A new app that lets me rapidly tap out hot takes isn't exactly a good way of supporting that.

I might eventually make a Mastodon account to *follow* other folks who've departed Twitter, so I'm not counting out the idea entirely. :)

## Comments?

Chime in on [this article's Reddit thread](https://www.reddit.com/r/mcmillen/comments/yoyvc8/goodbye_twitter_hello_blog/) or send me an [email](mailto:email@example.com).
